"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DIOneTimeProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DIProvider_js_1 = require("./DIProvider.js");
const DIOneTimeProvider = (props) => {
    const { dependencies, self, children, ...rest } = props;
    const memoizedDependencies = (0, react_1.useMemo)(() => dependencies, []);
    const memoizedSelfDependencies = (0, react_1.useMemo)(() => self, []);
    return ((0, jsx_runtime_1.jsx)(DIProvider_js_1.DIProvider, { dependencies: memoizedDependencies, self: memoizedSelfDependencies, ...rest, children: children }));
};
exports.DIOneTimeProvider = DIOneTimeProvider;
//# sourceMappingURL=DIOneTimeProvider.js.map