import { Constructor, Container, DependencyRegistrator } from 'cheap-di';
import { FC, ReactNode } from 'react';
type Dependency = (dependencyRegistrator: DependencyRegistrator) => void;
type SelfDependency = Constructor;
interface Props {
    dependencies?: Dependency[];
    self?: SelfDependency[];
    selfSingletons?: SelfDependency[];
    parentContainer?: Container;
    /** if it is provided, logging will be enabled */
    debugName?: string;
    children: ReactNode;
}
declare const memoizedComponent: FC<Props>;
export { memoizedComponent as DIProvider };
export type { Props as DIProviderProps };
